corosync_cfg_node_address_t Struct Reference

A node address. More...

`#include <cfg.h>`

## Data Fields

int | address_length
char | address [sizeof(struct sockaddr_in6)]

## Detailed Description

A node address.

This is a complete sockaddr_in[6]

To explain: If you cast cna_address to a 'struct sockaddr', the sa_family field will be AF_INET or AF_INET6. Armed with that knowledge you can then cast it to a sockaddr_in or sockaddr_in6 and pull out the address. No other sockaddr fields are valid. Also, you must ignore any part of the sockaddr beyond the length supplied

Definition at line 95 of file cfg.h.

## Field Documentation

## address

char corosync_cfg_node_address_t::address[sizeof(struct sockaddr_in6)]

Definition at line 98 of file cfg.h.

## address_length

int corosync_cfg_node_address_t::address_length

Todo:
  FIXME: set but never used

Definition at line 97 of file cfg.h.

Referenced by corosync_cfg_get_node_addrs().

The documentation for this struct was generated from the following file:

- cfg.h